[Autenticado] Criar um novo curso
curl --request POST \
--url https://apis.cativalab.digital/tenant/api/v2/education/courses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"spaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"coverUrl": "<string>",
"verticalCoverUrl": "<string>",
"thumbUrl": "<string>",
"shortDescription": "<string>",
"description": "<string>",
"icon": "<string>",
"addNewUsers": true,
"cloneCourseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allowedBadges": "<string>",
"isPrivate": true,
"onlyModeratorsCanPost": true,
"emitsCertificate": true,
"badgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isSequentialLessons": true,
"promoVideo": "<string>",
"accomplishments": "<string>",
"requirements": "<string>",
"addExistingMembers": true,
"hasFeed": true,
"hasEvents": true,
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentHasKnowledge": true,
"agentRestrictToUserProgress": true,
"showHeroText": true,
"isSecret": true
}
'import requests
url = "https://apis.cativalab.digital/tenant/api/v2/education/courses"
payload = {
"name": "<string>",
"spaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"coverUrl": "<string>",
"verticalCoverUrl": "<string>",
"thumbUrl": "<string>",
"shortDescription": "<string>",
"description": "<string>",
"icon": "<string>",
"addNewUsers": True,
"cloneCourseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allowedBadges": "<string>",
"isPrivate": True,
"onlyModeratorsCanPost": True,
"emitsCertificate": True,
"badgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isSequentialLessons": True,
"promoVideo": "<string>",
"accomplishments": "<string>",
"requirements": "<string>",
"addExistingMembers": True,
"hasFeed": True,
"hasEvents": True,
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentHasKnowledge": True,
"agentRestrictToUserProgress": True,
"showHeroText": True,
"isSecret": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
spaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
groupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
coverUrl: '<string>',
verticalCoverUrl: '<string>',
thumbUrl: '<string>',
shortDescription: '<string>',
description: '<string>',
icon: '<string>',
addNewUsers: true,
cloneCourseId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
allowedBadges: '<string>',
isPrivate: true,
onlyModeratorsCanPost: true,
emitsCertificate: true,
badgeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isSequentialLessons: true,
promoVideo: '<string>',
accomplishments: '<string>',
requirements: '<string>',
addExistingMembers: true,
hasFeed: true,
hasEvents: true,
agentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agentHasKnowledge: true,
agentRestrictToUserProgress: true,
showHeroText: true,
isSecret: true
})
};
fetch('https://apis.cativalab.digital/tenant/api/v2/education/courses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Cursos
[Autenticado] Criar um novo curso
POST
/
api
/
v2
/
education
/
courses
[Autenticado] Criar um novo curso
Autorizações
Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer .
Corpo
application/json
Opções disponíveis:
0, 1, 2 Resposta
200
OK
⌘I
